LN(1)

NAME
ln, link - make links

SYNOPSIS
ln [-fsv] source_file [target_file]
ln [-fsv] source_file ... [target_dir]
link source_file target_file

DESCRIPTION
The ln utility creates a new directory entry (linked file) which has the same modes as the original file. It is useful for maintaining multiple copies of a file in many places at once without using up storage for the “copies”; instead, a link “points” to the original copy. There are two types of links; hard links and symbolic links. How a link “points” to a file is one of the differences between a hard and symbolic link.

The options are as follows:

-f  Unlink any already existing file, permitting the link to occur.

-s  Create a symbolic link.

-v  Cause ln to be verbose, showing files as they are processed.

By default, ln makes hard links. A hard link to a file is indistinguishable from the original directory entry; any changes to a file are effectively independent of the name used to reference the file. Hard links may not normally refer to directories and may not span file systems.

A symbolic link contains the name of the file to which it is linked. The referenced file is used when an open(2) operation is performed on the link. A stat(2) on a symbolic link will return the linked-to file; an lstat(2) must be done to obtain information about the link. The readlink(2) call may be used to read the contents of a symbolic link. Symbolic links may span file systems and may refer to directories.

Given one or two arguments, ln creates a link to an existing file source_file. If target_file is given, the link has that name; target_file may also be a directory in which to place the link; otherwise it is placed in the current directory. If only the directory is specified, the link will be made to the last component of source_file.

Given more than two arguments, ln makes links in target_dir to all the named source files. The links made will have the same name as the files being linked to.

When the utility is called as link, exactly two arguments must be supplied, neither of which may specify a directory. No options may be supplied in this simple mode of operation, which performs a link(2) operation using the two passed arguments.

SEE ALSO
link(2), lstat(2), readlink(2), stat(2), symlink(2), symlink(7)

COMPATIBILITY
The -v option is non-standard and its use in scripts is not recommended.

HISTORY
An ln command appeared in AT&T UNIX. The simplified link command conforms to susv2.